# Uses of Class
it.tdlight.jni.TdApi.CallProblem

## Uses of TdApi.CallProblem in it.tdlight.jni

Subclasses of TdApi.CallProblem in it.tdlight.jni
Modifier and Type
Class
Description
`static final class`
`TdApi.CallProblemDistortedSpeech`
The speech was distorted.
`static final class`
`TdApi.CallProblemDistortedVideo`
The video was distorted.
`static final class`
`TdApi.CallProblemDropped`
The call ended unexpectedly.
`static final class`
`TdApi.CallProblemEcho`
The user heard their own voice.
`static final class`
`TdApi.CallProblemInterruptions`
The other side kept disappearing.
`static final class`
`TdApi.CallProblemNoise`
The user heard background noise.
`static final class`
`TdApi.CallProblemPixelatedVideo`
The video was pixelated.
`static final class`
`TdApi.CallProblemSilentLocal`
The user couldn't hear the other side.
`static final class`
`TdApi.CallProblemSilentRemote`
The other side couldn't hear the user.
Fields in it.tdlight.jni declared as TdApi.CallProblem
Modifier and Type
Field
Description
`TdApi.CallProblem[]`
TdApi.SendCallRating.`problems`
List of the exact types of problems with the call, specified by the user.
Constructors in it.tdlight.jni with parameters of type TdApi.CallProblem
Modifier
Constructor
Description
``
`SendCallRating(int callId, int rating, String comment, TdApi.CallProblem[] problems)`
Sends a call rating.